package nodes

type KV map[string]string
type Labels []string
type JSONData map[string]interface{}

type Node struct {
	LastUpdate int64  `json:"last_update,omitempty"`
	HostName   string `json:"hostname"`
	Labels     Labels `json:"labels,omitempty"`
	KV         KV     `json:"kv,omitempty"`
}

type Nodes []Node
